Package org.kie.api.definition.type

## Enum Expires.Policy

- java.lang.Object
- - java.lang.Enum<Expires.Policy>
  - - org.kie.api.definition.type.Expires.Policy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Expires.Policy>`
  Enclosing class:
    Expires

      public static enum Expires.Policy
      extends java.lang.Enum<Expires.Policy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `TIME_HARD` |
    `TIME_SOFT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Expires.Policy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Expires.Policy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TIME_HARD

          public static final Expires.Policy TIME_HARD

    - #### TIME_SOFT

          public static final Expires.Policy TIME_SOFT

  - ### Method Detail

    - #### values

          public static Expires.Policy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Expires.Policy c : Expires.Policy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Expires.Policy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null